Nom du paquet
lftp
Date
2003-12-15
Advisory ID
MDKSA-2003:116
Affected versions
9.2 amd64 , CS2.1 x86_64 , CS2.1 i586 , 9.2 i586 , 9.0 i586 , 9.1 i586 , 9.1 i586

Problem description

A buffer overflow vulnerability was discovered by Ulf Harnhammar in the lftp FTP client when connecting to a web server using HTTP or HTTPS and using the "ls" or "rels" command on specially prepared directory. This vulnerability exists in lftp versions 2.3.0 through 2.6.9 and is corrected upstream in 2.6.10. The updated packages are patched to protect against this problem.

Updated packages

9.2 amd64

 72cc8612325d8e985c3bbe40fa34fd8b  amd64/9.2/RPMS/lftp-2.6.6-2.1.92mdk.amd64.rpm
38cd1ea07bd0e2cbfbfaaf8b84d505e3  amd64/9.2/SRPMS/lftp-2.6.6-2.1.92mdk.src.rpm

CS2.1 x86_64

 4fb0dba34a2bf34eb308302a3c3a539a  x86_64/corporate/2.1/RPMS/lftp-2.6.0-1.1.C21mdk.x86_64.rpm
645a7dc1cb448119e396caa811f166f4  x86_64/corporate/2.1/SRPMS/lftp-2.6.0-1.1.C21mdk.src.rpm

CS2.1 i586

 701dc411181f76222b9da521ecb918ea  corporate/2.1/RPMS/lftp-2.6.0-1.1.C21mdk.i586.rpm
645a7dc1cb448119e396caa811f166f4  corporate/2.1/SRPMS/lftp-2.6.0-1.1.C21mdk.src.rpm

9.2 i586

 c24d53a5c4566d0ef9155fe427347fa8  9.2/RPMS/lftp-2.6.6-2.1.92mdk.i586.rpm
38cd1ea07bd0e2cbfbfaaf8b84d505e3  9.2/SRPMS/lftp-2.6.6-2.1.92mdk.src.rpm

9.0 i586

 d25f45fc551ba6dff648b5606cf28f50  9.0/RPMS/lftp-2.6.0-1.1.90mdk.i586.rpm
d61a1547159595711598777db73bab3e  9.0/SRPMS/lftp-2.6.0-1.1.90mdk.src.rpm

9.1 i586

 c4b66d9cd6da996a8b75f8e64f53453f  9.1/RPMS/lftp-2.6.4-2.1.91mdk.i586.rpm
025d21cc6a3e309760ffe36d51fc091a  9.1/SRPMS/lftp-2.6.4-2.1.91mdk.src.rpm

9.1 i586

 2f282a7fa70ab9d0a8e556ecaf95bfd9  ppc/9.1/RPMS/lftp-2.6.4-2.1.91mdk.ppc.rpm
025d21cc6a3e309760ffe36d51fc091a  ppc/9.1/SRPMS/lftp-2.6.4-2.1.91mdk.src.rpm

References